Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.usermodel
Class HSSFPicture

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFShape
          org.apache.poi.hssf.usermodel.HSSFSimpleShape
              org.apache.poi.hssf.usermodel.HSSFPicture

All Implemented Interfaces:
  Picture

    public final class HSSFPicture

extends HSSFSimpleShape
implements Picture

Represents a escher picture. Eg. A GIF, JPEG etc...

Author:
  Glen Stampoultzis, Yegor Kozlov (yegor at apache.org)

Field Summary
`static int` | `PICTURE_TYPE_DIB`
`static int` | `PICTURE_TYPE_EMF`
`static int` | `PICTURE_TYPE_JPEG`
`static int` | `PICTURE_TYPE_PICT`
`static int` | `PICTURE_TYPE_PNG`
`static int` | `PICTURE_TYPE_WMF`

Fields inherited from class org.apache.poi.hssf.usermodel.HSSFSimpleShape
`OBJECT_TYPE_COMBO_BOX, OBJECT_TYPE_COMMENT, OBJECT_TYPE_LINE, OBJECT_TYPE_OVAL, OBJECT_TYPE_PICTURE, OBJECT_TYPE_RECTANGLE`

Fields inherited from class org.apache.poi.hssf.usermodel.HSSFShape
`LINESTYLE_DASHDOTDOTSYS, LINESTYLE_DASHDOTGEL, LINESTYLE_DASHDOTSYS, LINESTYLE_DASHGEL, LINESTYLE_DASHSYS, LINESTYLE_DOTGEL, LINESTYLE_DOTSYS, LINESTYLE_LONGDASHDOTDOTGEL, LINESTYLE_LONGDASHDOTGEL, LINESTYLE_LONGDASHGEL, LINESTYLE_NONE, LINESTYLE_SOLID, LINEWIDTH_DEFAULT, LINEWIDTH_ONE_PT`

Constructor Summary
`HSSFPicture(HSSFShape parent, HSSFAnchor anchor)` Constructs a picture object.

Method Summary
`java.awt.Dimension` | `getImageDimension()` Return the dimension of this image
`PictureData` | `getPictureData()` Return picture data for this shape
`int` | `getPictureIndex()`
`ClientAnchor` | `getPreferredSize()` Calculate the preferred size for this picture.
`HSSFClientAnchor` | `getPreferredSize(double scale)` Calculate the preferred size for this picture.
`void` | `resize()` Reset the image to the original size.
`void` | `resize(double scale)` Resize the image
`void` | `setPictureIndex(int pictureIndex)`

Methods inherited from class org.apache.poi.hssf.usermodel.HSSFSimpleShape
`getShapeType, setShapeType`

Methods inherited from class org.apache.poi.hssf.usermodel.HSSFShape
`countOfAllChildren, getAnchor, getFillColor, getLineStyle, getLineStyleColor, getLineWidth, getParent, isNoFill, setAnchor, setFillColor, setFillColor, setLineStyle, setLineStyleColor, setLineStyleColor, setLineWidth, setNoFill`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PICTURE_TYPE_EMF

    public static final int PICTURE_TYPE_EMF

See Also:
  Constant Field Values

### PICTURE_TYPE_WMF

    public static final int PICTURE_TYPE_WMF

See Also:
  Constant Field Values

### PICTURE_TYPE_PICT

    public static final int PICTURE_TYPE_PICT

See Also:
  Constant Field Values

### PICTURE_TYPE_JPEG

    public static final int PICTURE_TYPE_JPEG

See Also:
  Constant Field Values

### PICTURE_TYPE_PNG

    public static final int PICTURE_TYPE_PNG

See Also:
  Constant Field Values

### PICTURE_TYPE_DIB

    public static final int PICTURE_TYPE_DIB

See Also:
  Constant Field Values

Constructor Detail

### HSSFPicture

    public HSSFPicture(HSSFShape parent,
                       HSSFAnchor anchor)

  Constructs a picture object.

Method Detail

### getPictureIndex

    public int getPictureIndex()

### setPictureIndex

    public void setPictureIndex(int pictureIndex)

### resize

    public void resize(double scale)

  Resize the image

  Please note, that this method works correctly only for workbooks with default font size (Arial 10pt for .xls). If the default font is changed the resized image can be streched vertically or horizontally.

  Specified by:
    `resize` in interface `Picture`
  Parameters:
    `scale` - the amount by which image dimensions are multiplied relative to the original size. `resize(1.0)` sets the original size, `resize(0.5)` resize to 50% of the original, `resize(2.0)` resizes to 200% of the original.

### resize

    public void resize()

  Reset the image to the original size.

  Please note, that this method works correctly only for workbooks with default font size (Arial 10pt for .xls). If the default font is changed the resized image can be streched vertically or horizontally.

  Specified by:
    `resize` in interface `Picture`

### getPreferredSize

    public ClientAnchor getPreferredSize()

  Calculate the preferred size for this picture.

  Specified by:
    `getPreferredSize` in interface `Picture`
  Returns:
    HSSFClientAnchor with the preferred size for this image
  Since:
    POI 3.0.2

### getPreferredSize

    public HSSFClientAnchor getPreferredSize(double scale)

  Calculate the preferred size for this picture.

  Parameters:
    `scale` - the amount by which image dimensions are multiplied relative to the original size.
  Returns:
    HSSFClientAnchor with the preferred size for this image
  Since:
    POI 3.0.2

### getImageDimension

    public java.awt.Dimension getImageDimension()

  Return the dimension of this image

  Returns:
    image dimension

### getPictureData

    public PictureData getPictureData()

  Return picture data for this shape

  Specified by:
    `getPictureData` in interface `Picture`
  Returns:
    picture data for this shape

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD